Package picard.analysis

## Class AlignmentSummaryMetricsCollector

- java.lang.Object
- - picard.metrics.MultiLevelCollector<BEAN,​HKEY,​SAMRecordAndReference>
  - - picard.metrics.SAMRecordAndReferenceMultiLevelCollector<AlignmentSummaryMetrics,​Comparable<?>>
    - - picard.analysis.AlignmentSummaryMetricsCollector

-     public class AlignmentSummaryMetricsCollector
      extends SAMRecordAndReferenceMultiLevelCollector<AlignmentSummaryMetrics,​Comparable<?>>

- - ### Field Summary

    - ### Fields inherited from class picard.metrics.MultiLevelCollector

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AlignmentSummaryMetricsCollector​(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, boolean doRefMetrics, List<String> adapterSequence, int maxInsertSize, Set<htsjdk.samtools.SamPairUtil.PairOrientation> expectedOrientations, boolean isBisulfiteSequenced)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `acceptRecord​(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence ref)` | Construct a argument of ARGTYPE using the given SAMRecord and ReferenceSequence then pass this value to all collectors that should include this record
    `protected PerUnitMetricCollector<AlignmentSummaryMetrics,​Comparable<?>,​SAMRecordAndReference>` | `makeChildCollector​(String sample, String library, String readGroup)` | Construct a PerUnitMetricCollector with the given arguments.

    - ### Methods inherited from class picard.metrics.SAMRecordAndReferenceMultiLevelCollector

      `makeArg`

    - ### Methods inherited from class picard.metrics.MultiLevelCollector

      `addAllLevelsToFile, finish, getAllReadsCollector, makeAllReadCollector, makeLibraryCollector, makeReadGroupCollector, makeSampleCollector, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlignmentSummaryMetricsCollector

          public AlignmentSummaryMetricsCollector​(Set<MetricAccumulationLevel> accumulationLevels,
                                                  List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords,
                                                  boolean doRefMetrics,
                                                  List<String> adapterSequence,
                                                  int maxInsertSize,
                                                  Set<htsjdk.samtools.SamPairUtil.PairOrientation> expectedOrientations,
                                                  boolean isBisulfiteSequenced)

  - ### Method Detail

    - #### makeChildCollector

          protected PerUnitMetricCollector<AlignmentSummaryMetrics,​Comparable<?>,​SAMRecordAndReference> makeChildCollector​(String sample,
                                                                                                                                       String library,
                                                                                                                                       String readGroup)

      Description copied from class: `MultiLevelCollector`
      Construct a PerUnitMetricCollector with the given arguments.
      Specified by:
        `makeChildCollector` in class `MultiLevelCollector<AlignmentSummaryMetrics,​Comparable<?>,​SAMRecordAndReference>`
      Parameters:
        `sample` - If aggregating by ALL_READS this will be null, otherwise the sample that will be used to identify this collector
        `library` - If aggregating by SAMPLE this will be null, otherwise the library that will be used to identify this collector
        `readGroup` - If aggregating by LIBRARY this will be null, otherwise the readGroup that will be used to identify this collector
      Returns:
        A PerUnitMetricCollector parameterized by the given arguments

    - #### acceptRecord

          public void acceptRecord​(htsjdk.samtools.SAMRecord rec,
                                   htsjdk.samtools.reference.ReferenceSequence ref)

      Description copied from class: `MultiLevelCollector`
      Construct a argument of ARGTYPE using the given SAMRecord and ReferenceSequence then pass this value to all collectors that should include this record
      Overrides:
        `acceptRecord` in class `MultiLevelCollector<AlignmentSummaryMetrics,​Comparable<?>,​SAMRecordAndReference>`